gnutls_buffer_append_data(3)

NAME
gnutls_buffer_append_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_buffer_append_data(gnutls_buffer_t dest, const void * data, size_t data_size);

ARGUMENTS

gnutls_buffer_t dest
    the buffer to append to

const void * data
    the data

size_t data_size
    the size of data

DESCRIPTION
Appends the provided data to the destination buffer.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/